Agent-based backups for Windows and Linux, centralized agent management
Post Reply
pcchadwick
Lurker
Posts: 2
Liked: never
Joined: May 24, 2022 7:41 pm
Full Name: Phil Chadwick
Contact:

Need to upgrade JUST the agent to 4.0.2.2208

Post by pcchadwick »

Hi all-
We need to upgrade the agent to 4.0.2.2208, but can't upgrade our entire Veeam server (we are version locked due to software versioning controls).
We have our Veeam server automatically push out the agent when needed- if I replace the VeeamAgent.exe in "program files/veeam/backup and replication/backup/winagent" on the veeam server, will it use that for deployment? upgrade the older clients? What issues will I run into?
Thanks all!

HannesK
Veeam Software
Posts: 11005
Liked: 2089 times
Joined: Sep 01, 2014 11:46 am
Full Name: Hannes Kasparick
Location: Austria
Contact:

Re: Need to upgrade JUST the agent to 4.0.2.2208

Post by HannesK »

Hello,
and welcome to the forums.

Just to clarify: do you try to deploy a Veeam Agent for Windows version that is newer than the backup server? The backup server must have same or newer version than the agents it manages.

As far as I see, the question is around https://www.veeam.com/kb4291. So the backup server needs to be updated in any case because of known vulnerabilities.

Best regards,
Hannes

pcchadwick
Lurker
Posts: 2
Liked: never
Joined: May 24, 2022 7:41 pm
Full Name: Phil Chadwick
Contact:

Re: Need to upgrade JUST the agent to 4.0.2.2208

Post by pcchadwick »

Yes, the agent version will be slightly ahead of the client. When bringing in software to our environment, it there should be no high CVE findings, but upgrading the entire suire to the new version requires extensive paperwork. We're looking to this as a workaround so we can start using the agent, and not have to upgrade in infrastructure.

HannesK
Veeam Software
Posts: 11005
Liked: 2089 times
Joined: Sep 01, 2014 11:46 am
Full Name: Hannes Kasparick
Location: Austria
Contact:

Re: Need to upgrade JUST the agent to 4.0.2.2208

Post by HannesK »

if paperwork needs to be done before fixing a security issue, then this seems to be the way to go. having a newer agent than the management server is unsupported.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests